Fundraising
/- Migrate Donation Orders
Gets all of the gifts in the system.
Creates a new gift record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified contact_id
Returns a list of records with the specified donor_id
Generates an order from a fundraising gift
Returns a list of records with the specified master_gift_id
Returns a list of records with the specified order_id
Returns a list of records with the specified organization_id
Returns a list of records with the specified pledge_id
Preview Gift Receipt
Resend Receipt
Get Public Giving Form Manifest
Resend Receipt
Returns a list of records with the specified recurring_gift_id
Resend Receipt
Searches for gifts using predefined parameters
List Donor Soft Credits
Returns a gift from the system by its ID.
Returns a gift from the system by its ID.
Partially updates a gift with the specified ID.
Updates a gift with the specified ID.
Migrate Donation Orders
Will migrate all previous orders for donation products
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/migrateDonationOrders
- https://fundraising.api.rhythmsoftware.comhttps://fundraising.api.rhythmsoftware.com/gifts/{tenantId}/migrateDonationOrders
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/migrateDonationOrders' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{}